# Tron Full Node HTTP API

Per [Tron's documentation](https://developers.tron.network/reference/full-node-api-overview):

The Full Node HTTP API is the core API service provided by Tron nodes. Users can use HTTP API to send transactions. The general process includes the following three steps:

* Create a transaction via system contract APIs
* Sign the transaction using SDK
* Broadcast the transaction by `BroadcastTransaction`

To distinguish HEX and Base58check addresses, a `visible` parameter is introduced.

To handle multi-sign, a `Permission_id` parameter is introduced to select the underlying permission type.

**Note**: When using the HTTP API, you can choose to use GET or POST to request data. When choosing to use the POST method, currently parameters are only supported passing to the HTTP message body in JSON format.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
